#pragma once

#include <cstdint>
#include <map>
#include <memory>

struct RegisteredResource {
	RegisteredResource(int version, const unsigned char* resourceStruct, const unsigned char* resourceName, const unsigned char* resourceData);

	int version;
	const unsigned char* resourceStruct;
	const unsigned char* resourceName;
	const unsigned char* resourceData;
};

extern std::map<uint64_t, std::shared_ptr<RegisteredResource>>* registeredResources;
