TEMPLATE = lib

QT       += core gui

greaterThan(QT_MAJOR_VERSION, 4): QT += widgets

CONFIG += c++17

# debugging

LIBS += -ldl
CONFIG += debug

# The following define makes your compiler emit warnings if you use
# any Qt feature that has been marked deprecated (the exact warnings
# depend on your compiler). Please consult the documentation of the
# deprecated API in order to know how to port your code away from it.
DEFINES += QT_DEPRECATED_WARNINGS

# You can also make your code fail to compile if it uses deprecated APIs.
# In order to do so, uncomment the following line.
# You can also select to disable deprecated APIs only up to a certain version of Qt.
#DEFINES += QT_DISABLE_DEPRECATED_BEFORE=0x060000    # disables all the APIs deprecated before Qt 6.0.0

MOC_DIR = build/generated/
UI_DIR = ui/
OBJECTS_DIR = build/
INCLUDEPATH += $$PWD/include/

SOURCES += \
	src/injector.cpp \
	src/qtdebugger.cpp \
	src/resourceexplorer.cpp

HEADERS += \
	include/injector.h \
	include/qtdebugger.h \
	include/resourceexplorer.h

FORMS += \
	ui/debugwindow.ui \
	ui/resourceexplorer.ui

# main binary target
qtdebugger.depends = src/main.c
qtdebugger.commands = $$QMAKE_CC src/main.c -o qtdebugger
qtdebugger.path = /usr/local/bin/
qtdebugger.files = qtdebugger
QMAKE_EXTRA_TARGETS += qtdebugger
PRE_TARGETDEPS += qtdebugger

# install targets
target.path = /usr/local/lib/

INSTALLS += \
	qtdebugger \
	target
